Subject: Re: [PATCHv5] Add Gitweb support for XZ compressed snapshots

From: Jakub Narebski <[email-masked]>
Date: Mon, 3 Aug 2009 02:27:45 +0200

On Mon, 3 August 2009, demerphq wrote:
> 2009/8/3 Jakub Narebski <[email-masked]>:
>> On Sat, 1 Aug 2009, demerphq wrote:
>>> 2009/8/1 Jakub Narebski <[email-masked]>:

>>>> Do you mean gitweb serving http://perl5.git.perl.org/ ?
>>>
>>> Yes. I updated it to a relatively recent version just the other week.
>>
>> By the way, if you don't mind, how do you keep your changes on top
>> of changing target, i.e. on top of updating baseline to recent
>> versions?
> 
> Things broke. I fixed them. :-)

Err... I meant here to ask if you use merging into your branch, rebasing
your branch on top of upstream, using some patch management interface like
StGIT, Guilt ot Quilt, or topic branch management tool namely TopGit?
 
>>> Also probably there are one or two patches that should be pushed back
>>> to you.
>>
>> What do those patches consist of?
> 
> One has to do with layout problems in the blame, and I think one deals
> with broken line number anchor links.
> 
> Ill look closer when i have more time.

About the one with broken 'linenr' links: you should look at patch which
makes gitweb use information in "previous" header from git-blame -p, 
which was send to git mailing list and is currently in 'pu':
  [PATCHv2 03/10] gitweb: Use "previous" header of git-blame -p in 'blame' view
  Message-Id: <[email-masked]>
  http://article.gmane.org/gmane.comp.version-control.git/123961

What layout problems in 'blame' view did you notice? 

>> By the way, this is one of the only two places where we have to
>> use quote_command and 3-argument form of open, instead of list for of
>> magic open.  It is because of pipeline, piping git-archive output
>> into compressor.  The other such place is git_object, to redirect error
>> stream to /dev/null (to discard stderr).
>>
>> I thought about replacing it by list form of open somewhat (you can
>> find it in git mailing list archive), but it is not easy.  And IPC::Run
>> is IMVHO a bit of overkill, especially for "minimal dependencies"
>> gitweb (perhaps for Git::Web?).
> 
> Lately I have been playing with Capture::Tiny, which seems to fill
> some nice niches in this respect.

I don't quite see how you plan to use Capture::Tiny here.  The output
of git-archive has to be passed to compressor, and then dumped to stdout,
not captured.

-- 
Jakub Narebski
Poland